View Issue Details

IDProjectCategoryView StatusLast Update
0015289ScribusOS-Linuxpublic2019-06-04 20:56
ReporterArchange Assigned Tojghali  
PrioritynormalSeverityblockReproducibilityalways
Status closedResolutionfixed 
PlatformLinuxOSArchLinuxOS VersionN/A
Product Version1.5.4 
Target VersionFixed in Version1.5.5.svn 
Summary0015289: FTBFS 1.5.4 with error: invalid conversion from ‘const GooString*’ to ‘GooString*’
DescriptionWhen building 1.5.4 from source:

/build/scribus-devel/src/scribus-1.5.4/scribus/plugins/import/pdf/importpdf.cpp: In member function ‘bool PdfPlug::convert(const QString&)’:
/build/scribus-devel/src/scribus-1.5.4/scribus/plugins/import/pdf/importpdf.cpp:546:61: error: invalid conversion from ‘const GooString*’ to ‘GooString*’ [-fpermissive]
            QString ocgName = UnicodeParsedString(oc->getName());
                                                  ~~~~~~~~~~~^~
In file included from /build/scribus-devel/src/scribus-1.5.4/scribus/plugins/import/pdf/importpdf.cpp:29:0:
/build/scribus-devel/src/scribus-1.5.4/scribus/plugins/import/pdf/importpdf.h:84:10: note: initializing argument 1 of ‘QString PdfPlug::UnicodeParsedString(GooString*)’
  QString UnicodeParsedString(GooString *s1);
          ^~~~~~~~~~~~~~~~~~~
/build/scribus-devel/src/scribus-1.5.4/scribus/plugins/import/pdf/importpdf.cpp:565:61: error: invalid conversion from ‘const GooString*’ to ‘GooString*’ [-fpermissive]
            QString ocgName = UnicodeParsedString(oc->getName());
                                                  ~~~~~~~~~~~^~
In file included from /build/scribus-devel/src/scribus-1.5.4/scribus/plugins/import/pdf/importpdf.cpp:29:0:
/build/scribus-devel/src/scribus-1.5.4/scribus/plugins/import/pdf/importpdf.h:84:10: note: initializing argument 1 of ‘QString PdfPlug::UnicodeParsedString(GooString*)’
  QString UnicodeParsedString(GooString *s1);
          ^~~~~~~~~~~~~~~~~~~
/build/scribus-devel/src/scribus-1.5.4/scribus/plugins/import/pdf/importpdf.cpp:583:59: error: invalid conversion from ‘const GooString*’ to ‘GooString*’ [-fpermissive]
          QString ocgName = UnicodeParsedString(oc->getName());
                                                ~~~~~~~~~~~^~
In file included from /build/scribus-devel/src/scribus-1.5.4/scribus/plugins/import/pdf/importpdf.cpp:29:0:
/build/scribus-devel/src/scribus-1.5.4/scribus/plugins/import/pdf/importpdf.h:84:10: note: initializing argument 1 of ‘QString PdfPlug::UnicodeParsedString(GooString*)’
  QString UnicodeParsedString(GooString *s1);
          ^~~~~~~~~~~~~~~~~~~
/build/scribus-devel/src/scribus-1.5.4/scribus/plugins/import/pdf/importpdf.cpp:610:52: error: invalid conversion from ‘const GooString*’ to ‘GooString*’ [-fpermissive]
         if (actL != UnicodeParsedString(oc->getName()))
                                         ~~~~~~~~~~~^~
In file included from /build/scribus-devel/src/scribus-1.5.4/scribus/plugins/import/pdf/importpdf.cpp:29:0:
/build/scribus-devel/src/scribus-1.5.4/scribus/plugins/import/pdf/importpdf.h:84:10: note: initializing argument 1 of ‘QString PdfPlug::UnicodeParsedString(GooString*)’
  QString UnicodeParsedString(GooString *s1);
          ^~~~~~~~~~~~~~~~~~~
/build/scribus-devel/src/scribus-1.5.4/scribus/plugins/import/pdf/importpdf.cpp:611:72: error: invalid conversion from ‘const GooString*’ to ‘GooString*’ [-fpermissive]
          currentLayer = m_Doc->addLayer(UnicodeParsedString(oc->getName()), false);
                                                             ~~~~~~~~~~~^~
In file included from /build/scribus-devel/src/scribus-1.5.4/scribus/plugins/import/pdf/importpdf.cpp:29:0:
/build/scribus-devel/src/scribus-1.5.4/scribus/plugins/import/pdf/importpdf.h:84:10: note: initializing argument 1 of ‘QString PdfPlug::UnicodeParsedString(GooString*)’
  QString UnicodeParsedString(GooString *s1);
          ^~~~~~~~~~~~~~~~~~~
/build/scribus-devel/src/scribus-1.5.4/scribus/plugins/import/pdf/importpdf.cpp:613:79: error: invalid conversion from ‘const GooString*’ to ‘GooString*’ [-fpermissive]
          currentLayer = m_Doc->layerIDFromName(UnicodeParsedString(oc->getName()));
                                                                    ~~~~~~~~~~~^~
In file included from /build/scribus-devel/src/scribus-1.5.4/scribus/plugins/import/pdf/importpdf.cpp:29:0:
/build/scribus-devel/src/scribus-1.5.4/scribus/plugins/import/pdf/importpdf.h:84:10: note: initializing argument 1 of ‘QString PdfPlug::UnicodeParsedString(GooString*)’
  QString UnicodeParsedString(GooString *s1);
          ^~~~~~~~~~~~~~~~~~~
/build/scribus-devel/src/scribus-1.5.4/scribus/plugins/import/pdf/importpdf.cpp:639:73: error: invalid conversion from ‘const GooString*’ to ‘GooString*’ [-fpermissive]
         m_Doc->documentInfo().setTitle(UnicodeParsedString(obj.getString()));
                                                            ~~~~~~~~~~~~~^~
In file included from /build/scribus-devel/src/scribus-1.5.4/scribus/plugins/import/pdf/importpdf.cpp:29:0:
/build/scribus-devel/src/scribus-1.5.4/scribus/plugins/import/pdf/importpdf.h:84:10: note: initializing argument 1 of ‘QString PdfPlug::UnicodeParsedString(GooString*)’
  QString UnicodeParsedString(GooString *s1);
          ^~~~~~~~~~~~~~~~~~~
/build/scribus-devel/src/scribus-1.5.4/scribus/plugins/import/pdf/importpdf.cpp:644:74: error: invalid conversion from ‘const GooString*’ to ‘GooString*’ [-fpermissive]
         m_Doc->documentInfo().setAuthor(UnicodeParsedString(obj.getString()));
                                                             ~~~~~~~~~~~~~^~
In file included from /build/scribus-devel/src/scribus-1.5.4/scribus/plugins/import/pdf/importpdf.cpp:29:0:
/build/scribus-devel/src/scribus-1.5.4/scribus/plugins/import/pdf/importpdf.h:84:10: note: initializing argument 1 of ‘QString PdfPlug::UnicodeParsedString(GooString*)’
  QString UnicodeParsedString(GooString *s1);
          ^~~~~~~~~~~~~~~~~~~
/build/scribus-devel/src/scribus-1.5.4/scribus/plugins/import/pdf/importpdf.cpp:649:75: error: invalid conversion from ‘const GooString*’ to ‘GooString*’ [-fpermissive]
         m_Doc->documentInfo().setSubject(UnicodeParsedString(obj.getString()));
                                                              ~~~~~~~~~~~~~^~
In file included from /build/scribus-devel/src/scribus-1.5.4/scribus/plugins/import/pdf/importpdf.cpp:29:0:
/build/scribus-devel/src/scribus-1.5.4/scribus/plugins/import/pdf/importpdf.h:84:10: note: initializing argument 1 of ‘QString PdfPlug::UnicodeParsedString(GooString*)’
  QString UnicodeParsedString(GooString *s1);
          ^~~~~~~~~~~~~~~~~~~
/build/scribus-devel/src/scribus-1.5.4/scribus/plugins/import/pdf/importpdf.cpp:655:76: error: invalid conversion from ‘const GooString*’ to ‘GooString*’ [-fpermissive]
         m_Doc->documentInfo().setKeywords(UnicodeParsedString(obj.getString()));
                                                               ~~~~~~~~~~~~~^~
In file included from /build/scribus-devel/src/scribus-1.5.4/scribus/plugins/import/pdf/importpdf.cpp:29:0:
/build/scribus-devel/src/scribus-1.5.4/scribus/plugins/import/pdf/importpdf.h:84:10: note: initializing argument 1 of ‘QString PdfPlug::UnicodeParsedString(GooString*)’
  QString UnicodeParsedString(GooString *s1);
          ^~~~~~~~~~~~~~~~~~~
/build/scribus-devel/src/scribus-1.5.4/scribus/plugins/import/pdf/importpdf.cpp:916:63: error: invalid conversion from ‘const GooString*’ to ‘GooString*’ [-fpermissive]
            QString script = UnicodeParsedString(jsa->getScript());
                                                 ~~~~~~~~~~~~~~^~
In file included from /build/scribus-devel/src/scribus-1.5.4/scribus/plugins/import/pdf/importpdf.cpp:29:0:
/build/scribus-devel/src/scribus-1.5.4/scribus/plugins/import/pdf/importpdf.h:84:10: note: initializing argument 1 of ‘QString PdfPlug::UnicodeParsedString(GooString*)’
  QString UnicodeParsedString(GooString *s1);
          ^~~~~~~~~~~~~~~~~~~
TagsNo tags attached.
PatchNo

Activities

jghali

2018-04-30 09:20

administrator   ~0045190

I've committed a first patch to trunk. Please test. I'm not using yet a poppler version which would trigger these errors.

jghali

2018-05-02 14:24

administrator   ~0045200

I committed a second patch after upgrading my poppler libraries to 0.64.0. Issue fixed!

Archange

2018-05-02 21:54

reporter   ~0045203

I can confirm that adding both patches fixed the issue for me. ;)

Cheers!

Issue History

Date Modified Username Field Change
2018-04-29 17:21 Archange New Issue
2018-04-30 09:20 jghali Note Added: 0045190
2018-05-02 14:24 jghali Assigned To => jghali
2018-05-02 14:24 jghali Status new => resolved
2018-05-02 14:24 jghali Resolution open => fixed
2018-05-02 14:24 jghali Fixed in Version => 1.5.5.svn
2018-05-02 14:24 jghali Note Added: 0045200
2018-05-02 21:54 Archange Note Added: 0045203
2019-06-04 20:56 cbradney Status resolved => closed